import { TestStep } from "@playwright/test/reporter";
import { ExecOptions } from "./types/execOptions.types";
declare class Help {
    private execOptions;
    private ansiRegex;
    private ansiColors;
    private errorCodeLinesToPrint;
    private stepCodeLinesToPrint;
    private freePort;
    showError: boolean;
    constructor(execOptions: ExecOptions);
    convertMsToTime(duration: number): string;
    htmlEncode(input: any): any;
    getRandomColor(): string;
    stripAnsi(str: string): string;
    escapeHTML(text: string): string;
    ansi2htmlMarkup(text: string): string;
    printStep(id: string, count: number, testStep: TestStep, space: number): string;
    processLineByLine(filename: string, lineNumber: number, lines: number): string;
    printErrorsTabButton(modalId: string): string;
    printErrors(errors: string, errorCode: string, modalId: string): string;
    printErrorCode(errorFile: string): string;
    printCode(filename: string, fileLine: number, lines: number): string;
    printScreenshotComparison(id: string, attachmentExpected: any, attachmentActual: any, attachmentDiff: any): string;
    printScreenshot(id: string, attachment: any): string;
    printImage(id: string, attachment: any): string;
    printScreenshotsTabButton(modalId: string): string;
    printScreenshots(screenshots: string, modalId: string): string;
    printVideo(id: string, attachment: any): string;
    printVideosTabButton(modalId: string): string;
    printVideos(videos: string, modalId: string): string;
    printStdoutTabButton(modalId: string): string;
    printStdout(id: string, stdout: string): string;
    printStderrTabButton(modalId: string): string;
    printStderr(id: string, stderr: string): string;
    printTraceTabButton(modalId: string): string;
    printTrace(id: string, attachment: any): string;
    convertBase64(fileToConvert: string): string;
    getShortFilePath(filepath: string, testFolder: string): string;
    createFile(filepath: string, content: string): void;
    updateHtml(html: string, tag: string, content: string, contentType: string, filename: string): string;
    base64ToFile(base64data: string, filePath: string, index?: number): any;
    compressFileContent(content: string, type: string): string;
    getPortFree(): Promise<string>;
}
export default Help;
